Bug 115938 - Nearly every use of StringLenghtValidationListener is wrong on Oracle
Summary: Nearly every use of StringLenghtValidationListener is wrong on Oracle
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: ui (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-17 09:56 UTC by Daniel Berrange
Modified: 2007-04-18 17:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:33:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2004-02-17 09:56:23 UTC
Description of problem:
The Bebop StringLengthValidationListener checks the length of a string
parameters in characters to ensure it does not exceed a specified
limit. Practically every single form in WAF is then used to create a
DomainObject in the DB. While on PostgreSQL VARCHAR fields are
measured in characters, on Oracle the default setting is to measure in
bytes. Thus if there is a VARCHAR(200) field and the user enters 200
Thai characters, this will likely come out at more like 600 bytes,
thus totally overflowing the data type in oracle.

We should either create a new DBStringLengthValidationListener that
measures using the size units of the current configured DB, or modify
existing StringLengthValidationListener. If the former, we will have
to additionally search & replace neearly every single occurrance of
StringLengthValidationListener.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a new CMS Item
2. Enter 200 characters of Thai
3. Save the form
  
Actual results:
Kaboom

Expected results:
Validation warning

Additional info:

See Vadim's posting:

http://post-office.corp.redhat.com/archives/ccm-engineering-list/2004-February/msg00036.html

Comment 1 Daniel Berrange 2006-09-02 17:33:47 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.